> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/rally-summary-feed.md).

# Rally Summary Feed

This section details and describes the values within the Rally Summary payload.

The rally summary describes all the summary information for a rally. This includes; breakdown of points won per player by rally length grouping and the Average number of shots per rally, distance travelled, winning shot (speed/stroke/result)

## Endpoint URL

## Live Rally Summary Feed

`CONNECT` `wss://dde-generic-datastream.dde-prod.imgarena.dev/ws/tennis/rally/tracking/summary`

{% tabs %}
{% tab title="404: Not Found Unknown Fixture" %}

```javascript
{
    "message": "Could not find fixture topic soccer.tracking.enrichment.08456e52-9cf7-48cc-913c-f45ec",
    "level": "WARN"
}
```

{% endtab %}

{% tab title="400: Bad Request Failed Authentication Request" %}

```javascript
{
    "message": "Authentication message had incorrect format",
    "level": "ERROR"
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.summary",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "summary": {
        "shots": 2,
        "result": "Played",
        "scorer": 2,
        "matchPoint": false,
        "setPoint": false,
        "breakPoint": false,
        "decidingPoint": false,
        "gamePoint": false,
        "tiebreak": false,
        "finalSet": false,
        "finalSetATieBreak": false,
        "teamToLeftOfUmpire": 2,
        "teamAtPositiveX": 2,
        "server": {
            "team": 2,
            "player": 1
        },
        "receiver": {
            "team": 1,
            "player": 1
        },
        "conclusion": {
            "stroke": "Backhand",
            "result": "Error",
            "action": "Forced",
            "eventId": "698bb76a-6df7-352f-88c8-6610f6b0d150",
            "speed": 71.193
        },
        "serve": {
            "eventId": "d2dd6483-fe40-3cf9-9cc3-059aae7e73b2",
            "side": "Advantage",
            "speed": 98.213
        },
        "playersDistanceTravelled": [
            {
                "team": 1,
                "player": 1,
                "distance": 5.197
            },
            {
                "team": 2,
                "player": 1,
                "distance": 8.624
            }
        ],
        "match": {
            "start": "2020-09-13T20:16:57.175Z",
            "duration": 170,
            "sets": {
                "team1": 2,
                "team2": 1
            },
            "games": {
                "team1": 19,
                "team2": 17
            },
            "points": {
                "team1": 119,
                "team2": 116
            }
        },
        "sets": [
            {
                "start": "2020-09-13T20:16:57.175Z",
                "end": "2020-09-13T20:47:26.688Z",
                "duration": 30,
                "games": {
                    "team1": 6,
                    "team2": 2
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 29,
                    "team2": 17
                }
            },
            {
                "start": "2020-09-13T20:49:57.128Z",
                "end": "2020-09-13T21:36:04.457Z",
                "duration": 46,
                "games": {
                    "team1": 6,
                    "team2": 4
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 39,
                    "team2": 34
                }
            },
            {
                "start": "2020-09-13T21:38:32.196Z",
                "end": "2020-09-13T22:26:40.248Z",
                "duration": 48,
                "games": {
                    "team1": 4,
                    "team2": 6
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 32,
                    "team2": 36
                }
            },
            {
                "start": "2020-09-13T22:29:44.602Z",
                "duration": 37,
                "games": {
                    "team1": 3,
                    "team2": 5
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 19,
                    "team2": 29
                }
            }
        ],
        "game": {
            "start": "2020-09-13T23:06:52.165Z",
            "duration": 0,
            "team1Score": "0",
            "team2Score": "15"
        }
    }
}
```

{% endtab %}
{% endtabs %}

## JSON Response

<details>

<summary>Rally Summary</summary>

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.summary",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "summary": {
        "shots": 2,
        "result": "Played",
        "scorer": 2,
        "matchPoint": false,
        "setPoint": false,
        "breakPoint": false,
        "decidingPoint": false,
        "gamePoint": false,
        "tiebreak": false,
        "finalSet": false,
        "finalSetATieBreak": false,
        "teamToLeftOfUmpire": 2,
        "teamAtPositiveX": 2,
        "server": {
            "team": 2,
            "player": 1
        },
        "receiver": {
            "team": 1,
            "player": 1
        },
        "conclusion": {
            "stroke": "Backhand",
            "result": "Error",
            "action": "Forced",
            "eventId": "698bb76a-6df7-352f-88c8-6610f6b0d150",
            "speed": 71.193
        },
        "serve": {
            "eventId": "d2dd6483-fe40-3cf9-9cc3-059aae7e73b2",
            "side": "Advantage",
            "speed": 98.213
        },
        "playersDistanceTravelled": [
            {
                "team": 1,
                "player": 1,
                "distance": 5.197
            },
            {
                "team": 2,
                "player": 1,
                "distance": 8.624
            }
        ],
        "match": {
            "start": "2020-09-13T20:16:57.175Z",
            "duration": 170,
            "sets": {
                "team1": 2,
                "team2": 1
            },
            "games": {
                "team1": 19,
                "team2": 17
            },
            "points": {
                "team1": 119,
                "team2": 116
            }
        },
        "sets": [
            {
                "start": "2020-09-13T20:16:57.175Z",
                "end": "2020-09-13T20:47:26.688Z",
                "duration": 30,
                "games": {
                    "team1": 6,
                    "team2": 2
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 29,
                    "team2": 17
                }
            },
            {
                "start": "2020-09-13T20:49:57.128Z",
                "end": "2020-09-13T21:36:04.457Z",
                "duration": 46,
                "games": {
                    "team1": 6,
                    "team2": 4
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 39,
                    "team2": 34
                }
            },
            {
                "start": "2020-09-13T21:38:32.196Z",
                "end": "2020-09-13T22:26:40.248Z",
                "duration": 48,
                "games": {
                    "team1": 4,
                    "team2": 6
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 32,
                    "team2": 36
                }
            },
            {
                "start": "2020-09-13T22:29:44.602Z",
                "duration": 37,
                "games": {
                    "team1": 3,
                    "team2": 5
                },
                "tiebreak": {
                    "team1": 0,
                    "team2": 0
                },
                "points": {
                    "team1": 19,
                    "team2": 29
                }
            }
        ],
        "game": {
            "start": "2020-09-13T23:06:52.165Z",
            "duration": 0,
            "team1Score": "0",
            "team2Score": "15"
        }
    }
}
```

</details>

## Response Fields

{% file src="/files/ZbStcPyjGyJanE7fpY1C" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/rally-summary-feed.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
